// dorel.cc  july 2004

#include<iostream.h>
#include<fstream.h>
#include<stdio.h>
#include<ctype.h>
#include<string.h>
#include"utils.h"
#include"tset.h"
#include"appl.h"
#include"matrix.h"


static char ensemble[128]; 
static char single[128]; 
static char result[128]; 


static void print_info_use(void);

int main (int argc, char * argv[])
{
	
	if (argc !=4)
	  print_info_use();
	
	strcpy(single,argv[1]);
	strcpy(ensemble,argv[2]);
	strcpy(result,argv[3]);
	// set the default basename
	
	ifstream ifsingle(single);
	ifstream ifens(ensemble);
	ofstream ofres(result);
	
	matrix m1(7,5);
	matrix m2(7,5);
	matrix m3(7,5);
	
	m1.read(ifsingle);
	m2.read(ifens);
	
	m3 = m1 - m2;
	
	int i,j;
	
	for (i=0; i<m1.dim1(); i++)
	  for (j=0; j<m1.dim2(); j++) 
		   if (m3(i,j) < 0)
			   m3(i,j)= m3(i,j)/m2(i,j);
			 else
		     m3(i,j)= m3(i,j)/m1(i,j);
			 
	m3.print(ofres);
	  
	
  return 0;
}





void print_info_use(void)
{
  cerr << "
  dorel. Application for computing relative BV differences
  Usage: dorel matrix1 matrix2 matrix3
  matrix1 reference matrix
	matrix2 relative matrix
	matrix3 result matrix
  " << endl;
  exit(1);
}
