// extract_labels_light.cc  May 2002

#include<iostream.h>
#include<fstream.h>
#include<string.h>
#include<ctype.h>
#include"utils.h"

static void print_info_use(void);

int main (int argc, char * argv[]){
  
	char dataset[256];
	int cl; 
	
	if (argc != 2)
	  print_info_use();
	
	ifstream ifs(argv[1]);
	if (!ifs)
	  error_exit("Cannot open file ", argv[1]);
	strcpy(dataset,argv[1]);
	strcat(dataset,".labels");
	ofstream ofs(dataset);
	  if (!ofs)
	  error_exit("Cannot open file ", dataset); 
		
	string line;
	// getting away the first 2 lines
	getline(ifs,line);
	getline(ifs,line);
	ifs >> cl; 
	while (!ifs.eof()) {	  
		if (cl != 1)
		  cl = 2;
		ofs << cl << endl;	
	  getline(ifs,line);
		ifs >> cl; 
	}	 
		
	if (ifs.bad())
	  error_exit("Error reading file ", argv[1]);
	if (ofs.bad())
	  error_exit("Error writing file ", dataset);
	
  return 0;
}



void print_info_use(void)
{
  cerr << "
  extract_labels_light. NEURObjects application to extract labels from
                        SVM-light formatted data
  Usage: extract_labels_light dataset
  " << endl;
  exit(1);
}
